lang/wsbasic - The NetBSD Packages Collection

Simple BASIC interpreter

WSBasic is a BASIC interpreter written entirely in C++ without the use
of lex or yacc.  It shows how one can create a compiler or interpreter
using some simple classes to parse and/or execute script code.  It is
a good way to fully understand how a parser/compiler actually works,
at least that was the original purpose of this project.  Later the
ability to run shell commands was added just like in bash scripting
and this gives the project also some nice practical use.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64wsbasic-1.2.7.tgz
NetBSD 10.0earmv6hfwsbasic-1.2.7.tgz
NetBSD 10.0earmv7hfwsbasic-1.2.7.tgz
NetBSD 10.0i386wsbasic-1.2.7.tgz
NetBSD 10.0powerpcwsbasic-1.2.7.tgz
NetBSD 10.0powerpcwsbasic-1.2.7.tgz
NetBSD 10.0x86_64wsbasic-1.2.7.tgz
NetBSD 10.0x86_64wsbasic-1.2.7.tgz
NetBSD 8.0earmv7hfwsbasic-1.2.7.tgz
NetBSD 8.0i386wsbasic-1.2.7.tgz
NetBSD 8.0i386wsbasic-1.2.7.tgz
NetBSD 8.0powerpcwsbasic-1.2.7.tgz
NetBSD 8.0powerpcwsbasic-1.2.7.tgz
NetBSD 8.0powerpcwsbasic-1.2.7.tgz
NetBSD 8.0x86_64wsbasic-1.2.7.tgz
NetBSD 8.0x86_64wsbasic-1.2.7.tgz
NetBSD 9.0aarch64wsbasic-1.2.7.tgz
NetBSD 9.0aarch64wsbasic-1.2.7.tgz
NetBSD 9.0alphawsbasic-1.2.7.tgz
NetBSD 9.0alphawsbasic-1.2.7.tgz
NetBSD 9.0alphawsbasic-1.2.7.tgz
NetBSD 9.0alphawsbasic-1.2.7.tgz
NetBSD 9.0alphawsbasic-1.2.7.tgz
NetBSD 9.0earmwsbasic-1.2.7.tgz
NetBSD 9.0earmv6hfwsbasic-1.2.7.tgz
NetBSD 9.0earmv6hfwsbasic-1.2.7.tgz
NetBSD 9.0earmv7hfwsbasic-1.2.7.tgz
NetBSD 9.0earmv7hfwsbasic-1.2.7.tgz
NetBSD 9.0i386wsbasic-1.2.7.tgz
NetBSD 9.0i386wsbasic-1.2.7.tgz
NetBSD 9.0i386wsbasic-1.2.7.tgz
NetBSD 9.0m68kwsbasic-1.2.7.tgz
NetBSD 9.0m68kwsbasic-1.2.7.tgz
NetBSD 9.0m68kwsbasic-1.2.7.tgz
NetBSD 9.0m68kwsbasic-1.2.7.tgz
NetBSD 9.0mips64ebwsbasic-1.2.7.tgz
NetBSD 9.0mips64ebwsbasic-1.2.7.tgz
NetBSD 9.0mips64ebwsbasic-1.2.7.tgz
NetBSD 9.0mips64ebwsbasic-1.2.7.tgz
NetBSD 9.0mips64ebwsbasic-1.2.7.tgz
NetBSD 9.0powerpcwsbasic-1.2.7.tgz
NetBSD 9.0powerpcwsbasic-1.2.7.tgz
NetBSD 9.0powerpcwsbasic-1.2.7.tgz
NetBSD 9.0sparc64wsbasic-1.2.7.tgz
NetBSD 9.0sparc64wsbasic-1.2.7.tgz
NetBSD 9.0sparc64wsbasic-1.2.7.tgz
NetBSD 9.0sparc64wsbasic-1.2.7.tgz
NetBSD 9.0sparc64wsbasic-1.2.7.tgz
NetBSD 9.0sparcwsbasic-1.2.7.tgz
NetBSD 9.0sparcwsbasic-1.2.7.tgz
NetBSD 9.0x86_64wsbasic-1.2.7.tgz
NetBSD 9.0x86_64wsbasic-1.2.7.tgz
NetBSD 9.0x86_64wsbasic-1.2.7.tgz
NetBSD 9.0x86_64wsbasic-1.2.7.tgz
NetBSD 9.0x86_64wsbasic-1.2.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.